<?php

///////////////////////     SUIVI DE SESSION ///////////////////////////////
////////////////////////////////////////////////////////////////////////////

require_once('inc_session.php');


///////////////////////		REQUIRE/INCLUDE		///////////////////////////

require_once('inc_require.php');


///  	modifie le 22-10-2006 - site 3200ISO 
///		champ lgende facultatif
///		amlioration : gestion d'un groupe sans image initiale


////////////////////////////////////////////////////////////////////////////
/////////////////////	T	R	A	I	T	E	M	E	N	T		/////////////////////////


/////////////////////////////////////////
//////		INSERTION


if (isset($_POST['submit']) && 'Enregistrer le nouveau groupe' == $_POST['submit'])

{
	
	// controle des champs
	
	if (empty($_POST['grpnomfr']) || !ValidateURL($_POST['grplien1url']) || !ValidateURL($_POST['grplien2url']) ) {header('Location: msg.php?code=21'); exit;}
	
	if (!ControleChampLongueur($_POST['grpnomfr'], 250)) {header('Location: msg.php?code=37&chp=nom fr'); exit;}
	if (!ControleChampLongueur($_POST['grpnomen'], 250)) {header('Location: msg.php?code=37&chp=nom en'); exit;}
	if (!ControleChampLongueur($_POST['grpdescfr'], 3000)) {header('Location: msg.php?code=37&chp=lgende fr'); exit;}
	if (!ControleChampLongueur($_POST['grpdescen'], 3000)) {header('Location: msg.php?code=37&chp=lgende en'); exit;}
	if (!ControleChampLongueur($_POST['grplien1txtfr'], 250)) {header('Location: msg.php?code=37&chp=texte lien 1 fr'); exit;}
	if (!ControleChampLongueur($_POST['grplien1txten'], 250)) {header('Location: msg.php?code=37&chp=texte lien 1 en'); exit;}
	if (!ControleChampLongueur($_POST['grplien2txtfr'], 250)) {header('Location: msg.php?code=37&chp=texte lien 2 fr'); exit;}
	if (!ControleChampLongueur($_POST['grplien2txten'], 250)) {header('Location: msg.php?code=37&chp=texte lien 2 en'); exit;}


	// recupere le max order de la rubrique selectionne
	
	
	$maxorder=MaxGroupOrderByRubid($_POST['rubid']);
	
	
	// insertion du groupe
	
	if ($_SESSION['usedispogrp'])
	{
	$dispogrp=1;
	}
	else
	{
	$dispogrp=0;
	}
	
	$res=InsertOneGroupe($_POST['rubid'], $_POST['grpnomfr'], $_POST['grpnomen'], $_POST['grpdatefr'], $_POST['grpdateen'], $_POST['grplieufr'], $_POST['grplieuen'], $_POST['grpdescfr'], $_POST['grpdescen'], $_POST['grptxtfr'], $_POST['grptxten'], $_POST['grplien1url'], $_POST['grplien1txtfr'], $_POST['grplien1txten'], $_POST['grplien2url'], $_POST['grplien2txtfr'], $_POST['grplien2txten'], ($maxorder+1), $_POST['statut'], $dispogrp);
	
	// message de retour
		
		if (1 == $res)
		{header('location: msg.php?code=38'); exit;}
		else
		{header('location: msg.php?code=50&url=groupes.php'); exit;}

}

	////////		MODIFICATION d'un groupe existant
	
elseif (isset($_POST['submit']) && 'Enregistrer les modifications' == $_POST['submit'])

{

	// controle des champs
	
	if (empty($_POST['grpnomfr']) || empty($_POST['grporder']) || !ValidateURL($_POST['grplien1url']) || !ValidateURL($_POST['grplien2url'])) {header('Location: msg.php?code=21'); exit;}
	
	
	if (!ControleChampLongueur($_POST['grpnomfr'], 250)) {header('Location: msg.php?code=37&chp=nom fr'); exit;}
	if (!ControleChampLongueur($_POST['grpnomen'], 250)) {header('Location: msg.php?code=37&chp=nom en'); exit;}
	if (!ControleChampLongueur($_POST['grpdescfr'], 3000)) {header('Location: msg.php?code=37&chp=lgende fr'); exit;}
	if (!ControleChampLongueur($_POST['grpdescen'], 3000)) {header('Location: msg.php?code=37&chp=lgende en'); exit;}
	if (!ControleChampLongueur($_POST['grplien1txtfr'], 250)) {header('Location: msg.php?code=37&chp=texte lien 1 fr'); exit;}
	if (!ControleChampLongueur($_POST['grplien1txten'], 250)) {header('Location: msg.php?code=37&chp=texte lien 1 en'); exit;}
	if (!ControleChampLongueur($_POST['grplien2txtfr'], 250)) {header('Location: msg.php?code=37&chp=texte lien 2 fr'); exit;}
	if (!ControleChampLongueur($_POST['grplien2txten'], 250)) {header('Location: msg.php?code=37&chp=texte lien 2 en'); exit;}
	
	
	$neworder=$_POST['grporder'];
	
	if (isset($_POST['medid']) && !empty($_POST['medid'])) 
	{
	$newmedid=$_POST['medid'];
	}
	else
	{
	$newmedid='';
	}
	
	$maxorder=MaxGroupeOrderOfOneRubrique($_POST['rubid']);
	

	///////		1er CAS : RUBRIQUE INCHANGE
	
	if ($_POST['rubid'] == $_POST['oldrubid'])
	
	{
		
		// si besoin, transforme l'order des groupes
		
		
		if ($_POST['oldgrporder'] < $_POST['grporder'])
		
		{
		
		
		// saisie d'un ordre > au maxorder
		if ($maxorder < $_POST['grporder']){header('location: msg.php?code=47&maxorder='.$maxorder); exit;}
		
		$resorder=DownItemOrderById('groupe', ($_POST['oldgrporder']+1), $_POST['grporder'], 'rubid', $_POST['rubid']);
		
		if (1 != $resorder) {header('location: msg.php?code=35'); exit;}
	
		}
		
		elseif ($_POST['oldgrporder'] > $_POST['grporder'])
		
		{
		
		// saisie d'un ordre 0
		if ('0' == $_POST['groupe']){header('location: msg.php?code=46'); exit;}
			
		$resorder=UpItemOrderById('groupe', $_POST['grporder'], ($_POST['oldgrporder']-1), 'rubid', $_POST['rubid']);
		if (1 != $resorder) {header('location: msg.php?code=35'); exit;}
		
		}
		
	}
	
	////////		2e CAS : CHANGEMENT DE RUBRIQUE
	
	
	else
	
	{
	
		$neworder=$maxorder+1;
			
		// update des ordres de l'ancien groupe
		
		$resorder=DownItemOrderById('groupe', ($_POST['oldgrporder']+1), 50, 'rubid', $_POST['oldrubid']);

	}
		// update du groupe
		
		$res=UpdateOneGroupe($_POST['grpid'], $_POST['rubid'], $_POST['grpnomfr'], $_POST['grpnomen'], $_POST['grpdatefr'], $_POST['grpdateen'], $_POST['grplieufr'], $_POST['grplieuen'], $_POST['grpdescfr'], $_POST['grpdescen'], $_POST['grptxtfr'], $_POST['grptxten'], $_POST['grplien1url'], $_POST['grplien1txtfr'], $_POST['grplien1txten'], $_POST['grplien2url'], $_POST['grplien2txtfr'], $_POST['grplien2txten'], $neworder, $newmedid, $_POST['statut'], $_POST['pw']);
		
		// message de retour
			
			if (1 == $res)
			{header('location: msg.php?code=44&url='.urlencode('groupes.php?p='.$_POST['p'].'&string='.$_POST['string'].'&rubid='.$_POST['rubid'].'&order=ORDER BY groupe.groorder')); exit;}
			else
			{header('location: msg.php?code=51&url=groupes.php'); exit;}
	
		

}


	////////		VIDANGE d'un groupe existant
	
elseif (isset($_GET['action']) && 'vide' === $_GET['action'] && is_numeric($_GET['id']))

{

//	REQUETE IMAGES
	
	// rcupre la liste des images
	
	$resimg=SelectByOneCriteria('media', 'groid', $_GET['id'], ' ORDER BY medorder DESC');
	
	$imgcount=mysql_num_rows($resimg);
	
	$idel=1;
	
	// controle s'il y a des images dans ce groupe
	
	if (0 < $imgcount)
	
	{
	
	
	
		// effacement des mots cles

	$delkw=DeleteKwsOfImagesOfOneGroup($_GET['id']);
	
	
	while($row = mysql_fetch_assoc($resimg))
	
		{

		$resDelimg=DeleteTableOneRecById('media', $row['medid']);
		
	
	
		// effacement des fichiers
		
			if (file_exists(PATHTOVIGN.'/'.sprintf("%06d", $row['medid']).'.jpg'))
			{
			$del1=unlink(PATHTOVIGN.'/'.sprintf("%06d", $row['medid']).'.jpg');
			}
			
			if (file_exists(PATHTOZOOM.'/'.sprintf("%06d", $row['medid']).'.jpg'))
			{
			$del1=unlink(PATHTOZOOM.'/'.sprintf("%06d", $row['medid']).'.jpg');
			}
					
			
			
		$idel++;
		}
		
	}

	
	



	if (1 == $resDelimg)
		{
		header('location: msg.php?code=57&idel='.$idel.'&url=groupes.php');
		exit;
		}
		else
		{
		header('location: msg.php?code=49&url=groupes.php');
		exit;
		}
}




/////////////////////	A	F	F	I	C	H	A	G	E		/////////////////////////



			//////////		CAS	MODIFICATION

if (isset($_GET['id']) && is_numeric($_GET['id']) && 'edit' == $_GET['action'])


{




	////	recupre les donnes du groupe
	
	$res=SelectOneRowOfTable('groupe', $_GET['id']);
	
	$row=mysql_fetch_assoc($res);
	
	
	$actualgrpnomfr=stripslashes($row['gronomfr']);
	$actualgrpnomen=stripslashes($row['gronomen']);
	$actualgrpdatefr=stripslashes($row['grodatefr']);
	$actualgrpdateen=stripslashes($row['grodateen']);
	$actualgrplieufr=stripslashes($row['grolieufr']);
	$actualgrplieuen=stripslashes($row['grolieuen']);
	$actualgrpdescfr=stripslashes($row['grodescfr']);
	$actualgrpdescen=stripslashes($row['grodescen']);
	$actualgrptxtfr=stripslashes($row['grotxtfr']);
	$actualgrptxten=stripslashes($row['grotxten']);

	$actualgrplien1txtfr=stripslashes($row['grolien1txtfr']);
	$actualgrplien1txten=stripslashes($row['grolien1txten']);
	$actualgrplien1url=stripslashes($row['grolien1url']);
	
	$actualgrplien2txtfr=stripslashes($row['grolien2txtfr']);
	$actualgrplien2txten=stripslashes($row['grolien2txten']);
	$actualgrplien2url=stripslashes($row['grolien2url']);
	
	$actualgrporder=$row['groorder'];
	$imgid=$row['medid'];

	
	$selrubid=$row['rubid'];
	$actualgrpstatut=$row['grostatut'];
	
	if (!empty($row['gropw']))
	{
	$pw=' &nbsp;&nbsp; <span class="rouge">Mot de passe :</span> <input type="text" name="pw" id="pw" size="10" value="'.$row['gropw'].'" />';
	}
	else
	{
	$pw=' &nbsp;&nbsp; <span class="rouge">Mot de passe :</span> <input type="text" name="pw" id="pw" size="20" value="'.$row['gropw'].'" /> <span class="txtpetit"> &nbsp;nb : &Oslash; = sans protection</span>';
	}

	// ajoute la case position
	
	$orderchoice='
					<td> <span style="color: yellow;">Position *</span></td>
					<td colspan="2">
					<input type="text" style="width:25px; text-align:center;" id="grporder" name="grporder" size="3" value="'.$actualgrporder.'" />
					<input type="hidden" id="oldgrporder" name="oldgrporder" value="'.$actualgrporder.'" />
					<input type="hidden" id="grpid" name="grpid" value="'.$_GET['id'].'" />				 
				 ';
	


	//	CONSTRUCTION DU MENU IMAGES
	
	// rcupre la liste des images dispo pour image initiale
	
	$resimg=SelectByOneCriteria('media', 'groid', $_GET['id'], ' ORDER BY medorder');
	
	$resimg2=SelectByOneCriteria('media', 'groid', $_GET['id'], ' ORDER BY medorder');
		
	$imgcount=mysql_num_rows($resimg);
	
	// controle s'il y a des images dans ce groupe
	
	if (0 < $imgcount)
	
	{
	
	
	$selected='';
	$imagesdivs='';
	
	// boucle une premire fois sur les resultats
	
	while($row2 = mysql_fetch_assoc($resimg2))
	
		{
	
		// rcupre tous les ID d'image (pour js)
		$medidarray[]=$row2['medid'];
			
		}
		
		// rcupre 1er et dernier id (pour js)
		
		$firstmedid=$medidarray[0];
		$lastmedid=$medidarray[sizeof($medidarray)-1];
		
		// rcupre 1er et dernier id (pour multiinvisible, d'ou mise en ordre)
		$medidarray2=$medidarray;
		sort($medidarray2);
		$firstidimg=$medidarray2[0];
		$lastidimg=$medidarray2[sizeof($medidarray2)-1];
		
	$i=1;
	
	
	while($row = mysql_fetch_assoc($resimg))
	
		{
	
		
		//if (1 == $i && 0 == $imgid) {$imgid = $row['medid'];}
		
		
	
		$visible='hidden';
		
			// c'est le mediae slectionn comme vignette
			
			$selected='';
			$visible='hidden';
				
			if ($row['medid'] == $imgid)
				{
				$selected=' selected="selected"';
				$visible='visible';
				$actualmedid=$row['medid'];
				}
			
			
			echo $imgid;
			if (0 == $imgid)
			{
			$noinitial=true;
			echo $imgid.'r';
			}
			
			
			$prevmedid=$medidarray[$i-2];
			$nextmedid=$medidarray[$i];
			
			if($firstmedid==$row['medid'])
			{
			$flech='<a class="button" href="javascript:setRangeInvisible(\'img\', '.$firstidimg.', '.$lastidimg.'); montre(\'img'.$nextmedid.'\'); ChangeSelectedOption(\'addgrp\', \'medid\', '.($i).');">&nbsp;&gt;&nbsp;</a>';
			}
			elseif ($lastmedid==$row['medid'])
			{
			$flech='<a href="javascript:setRangeInvisible(\'img\', '.$firstidimg.', '.$lastidimg.'); montre(\'img'.$prevmedid.'\'); ChangeSelectedOption(\'addgrp\', \'medid\', '.($i-2).');" class="button">&nbsp;&lt;&nbsp;</a>';			}
			else
			{
			$flech='<a href="javascript:setRangeInvisible(\'img\', '.$firstidimg.', '.$lastidimg.'); montre(\'img'.$prevmedid.'\'); ChangeSelectedOption(\'addgrp\', \'medid\', '.($i-2).');" class="button">&nbsp;&lt;&nbsp;</a> <a class="button" href="javascript:setRangeInvisible(\'img\', '.$firstidimg.', '.$lastidimg.'); montre(\'img'.$nextmedid.'\'); ChangeSelectedOption(\'addgrp\', \'medid\', '.($i).');">&nbsp;&gt;&nbsp;</a>';
			}
			
			
			if ('' == $row['meddescfr'])
			{$txtmenu=' &lt;aucune l&eacute;gende&gt;';}
			else
			{
			if (21 < strlen($row['meddescfr'])) 
				{
				$txtmenu=substr(stripslashes($row['meddescfr']), 0, 21).' ...';
				}
				else
				{
				$txtmenu=stripslashes($row['meddescfr']);
				}
			}
			
		// fabrique les div images
		
					
			// vignette de l'image
				
				$divname='img'.$row['medid'];

				$vignfilepath=PATHTOVIGN.'/'.sprintf("%06d", $row['medid']).'.jpg';
				
				if(file_exists($vignfilepath) && is_readable($vignfilepath) && 0 < filesize($vignfilepath))
				{
					
					$imginfo=getimagesize($vignfilepath);
					
					if ($imginfo[0]/$imginfo[1] > 2)
					{
					$height=50;
					}
					else
					
					{
					$height=72;
					}
					
			
					$imagesdivs.='<div id="'.$divname.'" style="position: absolute; top: 8px; right: 0;  height: '.$height.'px; visibility: '.$visible.'; border:1px solid gray;">
					
					<div align="center"><a href="'.PATHTOZOOM.'/'.sprintf("%06d", $row['medid']).'.jpg" target="_blank" title="voir le fichier zoom de l\'image"><img src="'.URLTOVIGN.'/'.sprintf("%06d", $row['medid']).'.jpg"  height="'.$height.'" /></a></div>
					
					<div style="position:absolute; right:0; top:76px; height:12px; width:60px; border:1px none black;">
	<p align="right" style="line-height:10px;">'.$flech.'</p></div>
	
				</div>
						';
				}
				
				else
				
				{
				
					$imagesdivs.='<div id="'.$divname.'" style="position: absolute; top: 8px; right: 0;  height: '.$height.'px; visibility: '.$visible.'; border:1px solid gray;">
					<div align="center">???</div>
					
					<div style="position:absolute; right:0; top:76px; height:12px; width:60px; border:1px none black;">
	<p align="right" style="line-height:10px;">'.$flech.'</p></div>
					
					</div>
						';				
				
				}
				
				
			
		
		
		$imgmenu.='		<option value="'.$row['medid'].'"'.$selected.'>'.$row['medorder'].' - '.sprintf("%06d", $row['medid']).'.jpg - '.$txtmenu.'</option>
		';
		
		$selected='';
		$i++;
	
		}
	
		

		
		
		
		
	
		
		//
		
		if(true === $noinitial)
		{
		$selectedinitial=' selected="selected"';
		}
		
		$imgmenudebut='<select name="medid" onchange="setRangeInvisible(\'img\', '.$firstidimg.', '.$lastidimg.'); montre2(\'img\', this);">
		<option value="0"'.$selectedinitial.'>image non choisie</option>
		';
		$imgmenu=$imgmenudebut.$imgmenu.'		</select>
		';
	
	}
	
	else		// pas d'image associe au groupe (=> PAS DE MENU IMAGE)
	
	{
	
	$imgmenu='<span class="txtpetit">&lt;aucune image dans ce groupe&gt;</span>';
	
	}
		


////////		titre html

$submittitle='Enregistrer les modifications';

$nbtxt='';

$titrepage='modification d\'un groupe';

$h2txt='Modifier un groupe';


$photoinitiale='<td colspan="2" width="70%"><span style="margin-left:30px;">Photo initiale : '.$imgmenu.'</span></td>
		';

$buttvide='<input type="button" id="addgrp" name="addgrp" value="Vider le groupe" onclick="confirmation(\''.$_SERVER['PHP_SELF'].'?action=vide&id='.$_GET['id'].'\', \'Voulez-vous vraiment vider d&eacute;finitivement ce groupe ?\'); return false;" />
';

$helppage='modgrp';

/////////////////		CONSTRUCTION DU MENU STATUTS

$statutmenu=MakeMenuStatut($actualgrpstatut, 1, true);


////// ligne position + statut

$posstatutpw=$orderchoice.' &nbsp;&nbsp; Statut : '.$statutmenu.$pw.'</td>';


}


else		/////////		CAS INSERTION


{


/////////////////		CONSTRUCTION DU MENU STATUTS

$statutmenu=MakeMenuStatut($actualgrpstatut, 1, true);


////// ligne position + statut

$posstatutpw='<td>Statut </td>
		<td colspan="2">'.$statutmenu.'</td>
		';



$actualgrpnomfr='';
$actualgrpnomen='';

$orderchoice='';

$statutnouv='';
$statutnormal=' checked="checked"';

$submittitle='Enregistrer le nouveau groupe';

$nbtxt='| &nbsp;NB : Le groupe sera ins&eacute;r&eacute; &agrave; la derni&egrave;re position de la rubrique choisie : vous pourrez le d&eacute;placer apr&egrave;s.';

$titrepage='cr&eacute;ation d\'un nouveau groupe';

$h2txt='Cr&eacute;er un nouveau groupe';

$photoinitiale='<td width="13%">&nbsp;</td>
				<td width="57%" colspan="2">&nbsp;</td>
		';

$helppage='insgrp';

}


/////////////////		CONSTRUCTION DU MENU RUBRIQUES

$rubmenu=MakeMenuRubriques($selrubid, '', $_SESSION['uselg']);



	
/////////	tableau de insertion/modification de groupe

$tab='	<form name="addgrp" method="post" action="'.$_SERVER['PHP_SELF'].'">
	
	<table width="95%" border="0" cellspacing="2" cellpadding="2" style="margin-top: 13px; height:25px;">
	  <tr>
		<td width="10%" style="height:25px;">Rubrique :</td>
		<td width="20%">'.$rubmenu.'</td>
		'.$photoinitiale.'
	  </tr>
	  </table>


	
	<table style="width:775px; margin-top:35px;">
	  <tr>
	   	<td width="16%">&nbsp;</td>
    	<th width="42%">FRAN&Ccedil;AIS</th>
   		<th width="42%">ANGLAIS</th>
	  </tr>
	  <tr>
		<td height="22" class="tabform"><span style="color: yellow;">Nom *</span> <span class="txtpetit">(250 max.)</span></td>
		<td class="tabform" align="center"><input type="text" style="width:305px;" id="grpnomfr" name="grpnomfr" size="41" maxlength="250" value="'.$actualgrpnomfr.'" /></td>
		<td class="tabform" align="center"><input type="text" style="width:305px;" id="grpnomen" name="grpnomen" size="41" maxlength="250" value="'.$actualgrpnomen.'" /></td>
	  </tr>
	  <tr>
		<td class="tabform">Date</td>
		<td class="tabform" align="center"><input type="text" style="width:305px;" id="grpdatefr" name="grpdatefr" size="41" value="'.$actualgrpdatefr.'" /></td>
		<td class="tabform" align="center"><input type="text" style="width:305px;" id="grpdateen" name="grpdateen" size="41" value="'.$actualgrpdateen.'" /></td>
	  </tr>
	  <tr>
		<td>Lieu</td>
		<td class="tabform" align="center"><input type="text" style="width:305px;" id="grplieufr" name="grplieufr" size="41" value="'.$actualgrplieufr.'" /></td>
		<td class="tabform" align="center"><input type="text" style="width:305px;" id="grplieuen" name="grplieuen" size="41" value="'.$actualgrplieuen.'" /></td>	  
	  </tr>
	  <tr>
	  <tr>
		<td class="tabform" valign="top" style="height:36px;">L&eacute;gende <span class="txtpetit">(3000 max.)</span></td>
		<td class="tabform" align="center"><textarea cols="40" style="width:305px; height:33px;" rows="2" id="grpdescfr" name="grpdescfr">'.$actualgrpdescfr.'</textarea></td>
		<td class="tabform" align="center"><textarea cols="40" style="width:305px; height:33px;" rows="2" id="grpdesen" name="grpdescen">'.$actualgrpdescen.'</textarea></td>
	  </tr>
	   <tr>
		<td class="tabform" valign="top" style="height:88px;">Texte</td>
		<td class="tabform" align="center" style="height:88px;" valign="top"><textarea cols="40" style="width:305px; height:76px;" rows="8" id="grptxtfr" name="grptxtfr">'.$actualgrptxtfr.'</textarea><p align="right" style="margin-top:2px;"><input type="button" class="button" onclick="CopyFieldTiField(\'grptxtfr\', \'grptxten\');" value="cloner" style="margin-right:3px;" /></p></td>
		<td class="tabform" align="center" style="height:88px;" valign="top"><textarea cols="40" style="width:305px; height:76px;" rows="8" id="grptxten" name="grptxten">'.$actualgrptxten.'</textarea><p align="right" style="margin-top:2px;"><input type="button" class="button" onclick="CopyFieldTiField(\'grptxten\', \'grptxtfr\');" value="cloner" style="margin-right:3px;" /></p></td>
	  </tr>
	  <tr>
		<td class="tabform2">Texte lien 1 <span class="txtpetit">(250 max.)</span></td>
		<td class="tabform2" align="center"><input type="text" style="width:309px;" id="grplien1txtfr" name="grplien1txtfr" size="41" maxlength="250" value="'.$actualgrplien1txtfr.'" /></td>
		<td class="tabform2" align="center"><input type="text" style="width:309px;" id="grplien1txten" name="grplien1txten" size="41" maxlength="250" value="'.$actualgrplien1txten.'" /></td>
	  </tr>
	  <tr>
		<td class="tabform2">URL lien 1</td>
		<td class="tabform2" colspan="2" align="center"><input type="text" style="width:621px;" id="grplien1url" name="grplien1url" size="87" value="'.$actualgrplien1url.'" /></td>
	  </tr>
	  <tr>
		<td class="tabform2">Texte lien 2 <span class="txtpetit">(250 max.)</span></td>
		<td class="tabform2" align="center"><input type="text" style="width:309px;" id="grplien2txtfr" name="grplien2txtfr" size="41" maxlength="250" value="'.$actualgrplien2txtfr.'" /></td>
		<td class="tabform2" align="center"><input type="text" style="width:309px;" id="grplien2txten" name="grplien2txten" size="41" maxlength="250" value="'.$actualgrplien2txten.'" /></td>	  
	  </tr>
	   <tr>
		<td class="tabform2">URL lien 2</td>
		<td class="tabform2" colspan="2" align="center"><input type="text" style="width:621px;" id="grplien2url" name="grplien2url" size="87" value="'.$actualgrplien2url.'" /></td>
	  </tr>
	  <tr>
	  '.$posstatutpw.'
	  </tr>
	
	  <tr>
		<td style="height:32px;" colspan="3" align="left">
		<input type="hidden" name="oldrubid" id="oldrubid" value="'.$selrubid.'" />
		<input type="hidden" name="p" id="p" value="'.$_GET['p'].'" />
		<input type="hidden" name="string" id="string" value="'.$_GET['string'].'" />
		<input type="submit" class="butt" name="submit" id="submit" value="'.$submittitle.'" />
		&nbsp;&nbsp;<span style="color: yellow;">*</span> <span class="txtpetit">champs requis&nbsp;&nbsp;'.$nbtxt.'</span>
		</td>
	  </tr>
	</table>
</form>
';


$content='<h2>'.$h2txt.'</h2>
';

$content.=$imagesdivs.$imagesdivbutt;

$content.=$tab;



////////////////////////////		H	T	M	L		//////////////////////////



$html='';


//	en tete html

$onload='document.forms[\'addgrp\'].elements[\'rubid\'].focus()';

$html.=entetehtml($titrepage, $onload);


// en tete de page

$html.=entete($titrepage);



///////////////		CONTENU

$html.='<div id="content">'.$content.'</div>
		';



////////		 buttons bas

$html.='<div id="buttbas">
			<table class="tabbuttbas">
				<tr>
					<td width="20%"><input type="button" id="listgrg" name="listgrg" value="Liste des groupes" onclick="window.location.href = \'groupes.php\'" />
</td>
					<td width="20%">
					<input type="button" id="addgrp" name="addgrp" value="Crer un nouveau groupe" onclick="window.location.href = \'grouptool.php\'" />
					</td>
					<td width="20%">'.$buttvide.'</td>
					<td width="20%">&nbsp;</td>
					<td valign="middle" width="20%" align="right">'.HelpButton($helppage).'</td>
				</tr>
			</table>
		</div>
		';
		
		
		
// nav

$html.=nav();


// fin html

$html.=finhtml();



echo $html;




?>
