<?php

////////////////	supprime un fichier	//////////////

function ImportSQLDump($filepath)

{

include('conf/sql.php');

$shell="cat $filepath | mysql --host=".HOSTNAME." --user=".USERNAME." --password=".PASSWORD." ".DATABASE;

exec($shell, $outtab, $return);

return $return;


}


////////////////	dump SQL		//////////////////

function ExportSQLDump($filepath)

{

system("mysqldump --quick --all --add-drop-table --host=".HOSTNAME." --user=".USERNAME." --password=".PASSWORD." ".DATABASE." > ".$filepath, $val);

return $val;

}



////////////////	supprime un fichier	//////////////

function DeleteOneFile($filepath)

{


$res=unlink($filepath);

return $res;


}

////////////////  scanne un dossier et ses lements


function scan_filesofdir($DIR)
{
   
   $i=1;
   $files=array();
   
    if ($ODIR = opendir($DIR))
    {
        while ($FILE = readdir($ODIR))
        {
            if ( ($FILE != ".") && ($FILE != "..") && !is_dir($DIR.'/'.$FILE) )
            {
               	$files[$i]['name']=$FILE;
			  
				$files[$i]['fmtime']=date("d-m-Y H:i:s", filemtime($DIR.'/'.$FILE));	
				$files[$i]['size']=filesize($DIR.'/'.$FILE);

			   $i++;
            }
        }
    }
    else
    {
        printf ("Unable to open directory") ;
    }
	
	return $files;
}
////////////////  scanne un dossier et ses lements


function scan_dir($DIR)
{
   
   $i=0;
   $folders=array();
   
    if ($ODIR = opendir($DIR))
    {
        while ($FILE = readdir($ODIR))
        {
            if ( ($FILE != ".") && ($FILE != "..") && is_dir($DIR.'/'.$FILE) )
            {
               $folders[$i]['name']=$FILE;
			   $count=0;
			   
			   if ($ODIR2 = opendir($DIR.'/'.$FILE))
					{
						$foldertotalsize=0;
						while ($FILE2 = readdir($ODIR2))
						{
						 	if ( ($FILE2 != ".") && ($FILE2 != "..") && is_file($DIR.'/'.$FILE.'/'.$FILE2) )
            				{
							$foldertotalsize+=filesize($DIR.'/'.$FILE.'/'.$FILE2);
							$count++;
							}
						}
					}
					
                $folders[$i]['totalsize']=$foldertotalsize;
				$folders[$i]['count']=$count;

			   $i++;
            }
        }
    }
    else
    {
        printf ("Unable to open directory") ;
    }
	
	return $folders;
}



function aff_tab($tab){
    echo "<ul>";
    foreach($tab as $cl => $val){
        if( !is_array($val) ){
            echo "<li> [$cl] =>  $val";
        }else{
            echo "<li> [$cl] (tab)=> ";
            aff_tab($val);
        }
    }
    echo "</ul>";
}


// ANALYSE DES DONNEES EXIF

function AnalyseExifInfo($filename)

{





        // Check for operation modes 2 or 3
        // i.e. $filename is defined, and $new_ps_file_info_array is not
        if ( ( ! isset( $new_ps_file_info_array ) ) &&
             ( isset( $filename ) ) &&
             ( is_string( $filename ) ) )
        {
                // Hide any unknown EXIF tags
                $GLOBALS['HIDE_UNKNOWN_TAGS'] = TRUE;

              
                // Retrieve the header information from the JPEG file
                $jpeg_header_data = get_jpeg_header_data(stripslashes($filename));

                // Retrieve EXIF information from the JPEG file
                $Exif_array = get_EXIF_JPEG(stripslashes($filename));
//$Exif_array=array();
                // Retrieve XMP information from the JPEG file
               // $XMP_array = read_XMP_array_from_text( get_XMP_text( $jpeg_header_data ) );

               
                // Retrieve Photoshop File Info from the three previous arrays
                $new_ps_file_info_array = get_photoshop_file_info( $Exif_array, $XMP_array, $IRB_array );

                // Check if there is an array of defaults available
                if ( ( isset( $default_ps_file_info_array) ) &&
                     ( is_array( $default_ps_file_info_array) ) )
                {
                        // There are defaults defined

                        // Check if there is a default for the date defined
                        if ( ( ! array_key_exists( 'date', $default_ps_file_info_array ) ) ||
                             ( ( array_key_exists( 'date', $default_ps_file_info_array ) ) &&
                               ( $default_ps_file_info_array['date'] == '' ) ) )
                        {
                                // No default for the date defined
                                // figure out a default from the file

                                // Check if there is a EXIF Tag 36867 "Date and Time of Original"
                                if ( ( $Exif_array != FALSE ) &&
                                     ( array_key_exists( 0, $Exif_array ) ) &&
                                     ( array_key_exists( 34665, $Exif_array[0] ) ) &&
                                     ( array_key_exists( 0, $Exif_array[0][34665] ) ) &&
                                     ( array_key_exists( 36867, $Exif_array[0][34665][0] ) ) )
                                {
                                        // Tag "Date and Time of Original" found - use it for the default date
                                        $default_ps_file_info_array['date'] = $Exif_array[0][34665][0][36867]['Data'][0];
                                        $default_ps_file_info_array['date'] = preg_replace( "/(\d\d\d\d):(\d\d):(\d\d)( \d\d:\d\d:\d\d)/", "$1-$2-$3", $default_ps_file_info_array['date'] );
                                }
                               // Check if there is a EXIF Tag 36868 "Date and Time when Digitized"
                                else if ( ( $Exif_array != FALSE ) &&
                                     ( array_key_exists( 0, $Exif_array ) ) &&
                                     ( array_key_exists( 34665, $Exif_array[0] ) ) &&
                                     ( array_key_exists( 0, $Exif_array[0][34665] ) ) &&
                                     ( array_key_exists( 36868, $Exif_array[0][34665][0] ) ) )
                                {
                                        // Tag "Date and Time when Digitized" found - use it for the default date
                                        $default_ps_file_info_array['date'] = $Exif_array[0][34665][0][36868]['Data'][0];
                                        $default_ps_file_info_array['date'] = preg_replace( "/(\d\d\d\d):(\d\d):(\d\d)( \d\d:\d\d:\d\d)/", "$1-$2-$3", $default_ps_file_info_array['date'] );
                                }
                                // Check if there is a EXIF Tag 306 "Date and Time"
                                else if ( ( $Exif_array != FALSE ) &&
                                     ( array_key_exists( 0, $Exif_array ) ) &&
                                     ( array_key_exists( 306, $Exif_array[0] ) ) )
                                {
                                        // Tag "Date and Time" found - use it for the default date
                                        $default_ps_file_info_array['date'] = $Exif_array[0][306]['Data'][0];
                                        $default_ps_file_info_array['date'] = preg_replace( "/(\d\d\d\d):(\d\d):(\d\d)( \d\d:\d\d:\d\d)/", "$1-$2-$3", $default_ps_file_info_array['date'] );
                                }
                                else
                                {
                                        // Couldn't find an EXIF date in the image
                                        // Set default date as creation date of file
                                        $default_ps_file_info_array['date'] = date ("Y-m-d", filectime( $filename ));
                                }
                        }

                        // Cycle through all the elements of the default values array
                        foreach( $default_ps_file_info_array as $def_key =>$default_item )
                        {
                                // Check if the current element is Keywords or
                                // Supplemental Categories as these are arrays
                                // and need to be treated differently
                                if ( ( strcasecmp( $def_key, "keywords" ) == 0 ) ||
                                     ( strcasecmp( $def_key, "supplementalcategories" ) == 0 ) )
                                {
                                        // Keywords or Supplemental Categories found
                                        // Check if the File Info from the file is empty for this element
                                        // and if there are default values in this array element
                                        if ( ( count( $new_ps_file_info_array[ $def_key ] ) == 0 ) &&
                                             ( is_array( $default_item ) ) &&
                                             ( count( $default_item ) >= 0 ) )
                                        {
                                                // The existing file info is empty, and there are
                                                // defaults - add them
                                                $new_ps_file_info_array[ $def_key ] = $default_item;
                                        }
                                }
                                // Otherwise, this is not an array element, just check if it is blank in the existing file info
                                else if ( trim( $new_ps_file_info_array[ $def_key ] ) == "" )
                                {
                                        // The existing file info is blank, add the default value
                                        $new_ps_file_info_array[ $def_key ] = $default_item;
                                }

                        }
                }
        }
        // Check for operation mode 4 - $new_ps_file_info_array and $filename are not defined,
        else if ( ( ( !isset($new_ps_file_info_array) ) || ( ! is_array($new_ps_file_info_array) ) ) &&
                  ( ( !isset($filename) ) || ( ! is_string( $filename ) ) ) )
        {
                // No filename or new_ps_file_info_array defined, create a blank file info array to display
                $new_ps_file_info_array = array(
                      "title" => "",
                      "author" => "",
                      "authorsposition" => "",
                      "caption" => "",
                      "captionwriter" => "",
                      "jobname" => "",
                      "copyrightstatus" => "",
                      "copyrightnotice" => "",
                      "ownerurl" => "",
                      "keywords" => array(),
                      "category" => "",
                      "supplementalcategories" => array(),
                      "date" => "",
                      "city" => "",
                      "state" => "",
                      "country" => "",
                      "credit" => "",
                      "source" => "",
                      "headline" => "",
                      "instructions" => "",
                      "transmissionreference" => "",
                      "urgency" => "" );
        }

return $new_ps_file_info_array;
}


//	ANALYSE DES DONNEES XMP		(25-09-05)

function AnalyseXMPInfo($filename)

{



        // Check for operation modes 2 or 3
        // i.e. $filename is defined, and $new_ps_file_info_array is not
        if ( ( ! isset( $new_ps_file_info_array ) ) &&
             ( isset( $filename ) ) &&
             ( is_string( $filename ) ) )
        {
                // Hide any unknown EXIF tags
                $GLOBALS['HIDE_UNKNOWN_TAGS'] = TRUE;


                // Retrieve the header information from the JPEG file
                $jpeg_header_data = get_jpeg_header_data(stripslashes($filename));

				// Retrieve XMP information from the JPEG file				
				
				$xmp_tab1['xmp_text']=get_XMP_text( $jpeg_header_data );
               
				
                $XMP_array = read_XMP_array_from_text($xmp_tab1['xmp_text']);

				$xmp_tab=XMP_PersoTab_From_XMP_tab($XMP_array);
				$xmp_tab['xmp_text']=$xmp_tab1['xmp_text'];
					               
        }
       
	return $xmp_tab;

}

////////////////////////////////////////  CONTROLE VALIDITE D'UN CHAMP   //////////////////////////////
//   //////////////////////////////////////////
////////////////////////////////////////////////////////////////////////////////////////////////



function ControleChampLongueur($chp, $maxlength)
{

	if (strlen($chp) > $maxlength)
	{
	return false;
	}
	else
	{
	return true;
	}

}


////////////////////////////////////////  BOUTON HELP    //////////////////////////////
//   //////////////////////////////////////////
////////////////////////////////////////////////////////////////////////////////////////////////



function HelpButton($ancreurl='')
{


$helpbutton='<a class="helpbutt" title="obtenir de l\'aide pour cette page" href="help.php#'.$ancreurl.'" onclick="MM_openBrWindow(\'help.php#'.$ancreurl.'\',\'Aide DBPicture\',\'width=500,height=560,top=0,left=0,resizable=yes,scrollbars=yes,status=yes\'); return false;"><img src="img/b_help.png" alt="" /></a>
			';


return $helpbutton;

}

////////////////////////////////////////////////////////////////////////////////////////////////
/////////////		PREPARATION D'UN NOM POUR BASH
////////////////////////////////////////////////////////////////////////////////////////////////



function SafeNameForBash($string)
{

$SafeName = str_replace(" ", "\\ ", $string);
$SafeName = str_replace("?", "\\?", $SafeName);
$SafeName = str_replace("!", "\\!", $SafeName);

return $SafeName;
}


////////////////////////////////////////////////////////////////////////////////////////////////
/////////////		CONSTRUCTION DU MENU RUBRIQUE
////////////////////////////////////////////////////////////////////////////////////////////////


function MakeMenuRubriques($selrubid, $jumppage='', $lg='en')

{

//////////		SQL RUBRIQUES		(commun)



$res=SelectAllRubriques();

// dtermine les 1ere lignes du select
	
	if ('0' === $selrubid)
	{
	$firstline.='		<option value="0" selected="selected"> --- Hors rubrique --- </option>';
	}
	else
	{
	$firstline.='		<option value="0"> --- Hors rubrique --- </option>';
	}
	
	
// cas o le menu fait un jump
	
if ('' != $jumppage)
{

$onchange=' onchange="MM_jumpMenu(\'parent\',\''.$_SERVER['PHP_SELF'].'?order=ORDER BY groupe.groorder\',\'rubid\',this,0)"';
$selecttoutes='';
if(!is_numeric($selrubid))
{
$selecttoutes=' selected="selected"';
}

$firstline.='<option value="all"'.$selecttoutes.'> --- Toutes --- </option>';

}
else
{
$onchange='';
}


$rubmenu='<select id="rubid" style="min-width:180px;" name="rubid"'.$onchange.'>';

$selected='';

$i=1;

while($row = mysql_fetch_assoc($res))

	{

	$nothingselected=false;
	
	if (1 == $i) {$rubmenu.=$firstline;}
	
	if (1 == $i && '' == $selrubid)
	{
	$selrubid = $row['rubid'];
	$nothingselected=true;
	}
	
	
	if ($row['rubid'] == $selrubid)
		{
		$selruborder=$row['ruborder'];
		if (!$nothingselected) {$selected=' selected="selected"';}
		}
	
	$rubmenu.='		<option value="'.$row['rubid'].'"'.$selected.'>'.$row['ruborder'].' - '.stripslashes($row['rubnom'.$lg]).' -- '.$row['grocount'].' groupes</option>
	';
	
	$selected='';
	$maxorder=$row['ruborder'];
	$i++;

	}


$rubmenu.='		</select>
	';


return $rubmenu;

}
	
////////////////////////////////////////////////////////////////////////////////////////////////
/////////////		CONSTRUCTION DU MENU GROUPE
////////////////////////////////////////////////////////////////////////////////////////////////


function MakeMenuGroupes($selgroid='', $jumppage='', $name='groid', $js='', $lg='en')

{

$res=SelectAllGroupes();
	
	// dtermine les 1ere lignes du select
	
	if ('0' === $selgroid)
	{
	$firstline='		<option value="a"> --- Tous --- </option>';
	$firstline.='		<option value="0" selected="selected"> --- Hors groupe --- </option>';
	}
	else
	{
	$firstline='		<option value="a" selected="selected"> --- Tous --- </option>';
	$firstline.='		<option value="0"> --- Hors groupe --- </option>';
	}

	// cas o le menu fait un jump
		
	if ('' == $jumppage)
	{
	$onchange='';
	$firstline='		<option value="0"> --- Hors groupe --- </option>';
	}
	elseif (1 == $jumppage)
	{
	$onchange='';
	}
	else
	{
	$onchange=' onchange="MM_jumpMenu(\'parent\',\''.$_SERVER['PHP_SELF'].'?order=ORDER BY media.medorder\',\'groid\',this,0)"';
	}


$gromenu='<select name="'.$name.'"'.$onchange.$js.' style="width:215px;">
	';
	
$selected='';

$i=1;

while($row = mysql_fetch_assoc($res))

	{

	
	
	
	$nothingselected=false;
	
	if (1 == $i) {$gromenu.=$firstline;}
	
	if (1 == $i && '' == $selgroid)
	{
	$selgroid = $row['groid'];
	$nothingselected=true;
	}
	

	
	if ($row['groid'] == $selgroid)
		{
		if (!$nothingselected) {$selected=' selected="selected"';}
		}
	
	
	if(0 == $row['rubid']){$row['rubnom'.$lg]='Hors rubrique';}
	
	if ($oldrubnom !== $row['rubnom'.$lg])
	{
	if(1 < $i){$gromenu.='</optgroup>';}
	$actualrubnom=$row['rubnom'.$lg];
	$oldrubnom=$actualrubnom;
	$gromenu.='<optgroup label="'.strtoupper($actualrubnom).'" style="font-weight:bold; font-style:normal; color:#990000;" title="rubrique '.strtoupper($actualrubnom).'">';
	}
	
	// formatage taille nom de groupe
	
	if(strlen($row['gronom'.$lg])>28)
	{
	$row['gronom'.$lg]=substr($row['gronom'.$lg],0, 28).' ...';
	}
	
	$gromenu.='<option style="color:#000;" value="'.$row['groid'].'"'.$selected.'>'.stripslashes($row['gronom'.$lg]).' -- '.$row['medcount'].' images</option>
	';
	
	
	
	$selected='';
	$i++;

	}


$gromenu.='		</select>
	';

return $gromenu;

}


////////////////////////////////////////////////////////////////////////////////////////////////
/////////////		CONSTRUCTION DU MENU PEOPLE
////////////////////////////////////////////////////////////////////////////////////////////////

function MakeMenuPeople($medpeoid='', $js='')

{

$respeople=SelectAllItemsOfTable('people', 'peoname');
	
	$selected='';
	if ($medpeoid == 0){$selected=' selected="selected"';}
	
	$menupeople='<select name="peoid" style="width:215px;"'.$js.'>
					<option value="0"'.$selected.'> --- sans auteur --- </option>
			';
		
	
	while($rowpeo=mysql_fetch_assoc($respeople))

	{
	
	$selected='';
	if ($medpeoid == $rowpeo['peoid']){$selected=' selected="selected"';}
	$menupeople.='<option value="'.$rowpeo['peoid'].'"'.$selected.'>'.$rowpeo['peoname'].'</option>
		';
	
	}

	$menupeople.='</select>';

return $menupeople;
}


////////////////////////////////////////////////////////////////////////////////////////////////
/////////////		CONSTRUCTION DU MENU STATUTS
////////////////////////////////////////////////////////////////////////////////////////////////


function MakeMenuStatut($selstatutid, $statype, $autodisabled=false)

{

if ('' == $selstatutid) {$selstatutid=1;}

//////////		SQL STATUTS		(commun)

$res=SelectByOneCriteria('statut', 'statype', $statype, $order='');

$statutmenu='<select id="statut" name="statut" style="min-width:140px;">
		';

$selected='';

$i=1;

while($row=mysql_fetch_assoc($res))

{


// gere auto disabled

if ($autodisabled)
	{
	$res2=SelectByOneCriteria('groupe', 'grostatut', $row['staid'],'');
	$count=mysql_num_rows($res2);

	if ((0 < $row['stanb'] && $row['stanb'] <= $count) && $row['staid'] != $selstatutid) {$s.=$i.' -- '.$row['staid'].' -- '.$selstatutid.'<br />';$disabled=' disabled="disabled" style="color:#666; font-style:italic;"'; $croix=' (USED)';}
	}

if ($row['staid'] === $selstatutid) {$selected=' selected="selected"';}

$statutmenu.='<option value="'.$row['staid'].'"'.$selected.$disabled.'>'.stripslashes($row['stanom']).' - '.$row['staabr'].$croix.'</option>
		';

$croix='';
$disabled='';
$selected='';
$i++;
}

$statutmenu.='</select>
	';
	
return $statutmenu;

}




////////////////////////////////////////////////////////////////////////////////////////////////
/////////////		CHAMP VIDE ==>  N.C.
////////////////////////////////////////////////////////////////////////////////////////////////


function VideToNc($str)

{


if ('' == $str)

{

$str='<span class="txtpetit rouge"><em>&lt;non d&eacute;fini&gt;</em></span>';

}


return $str;


}



////////////////////////////////////////////////////////////////////////////////////////////////
/////////////		CONVERSION DES FICHIERS IMAGES (imagemagick)
////////////////////////////////////////////////////////////////////////////////////////////////


function ConvertImage($origfile, $destfile, $origdir, $zoomdir, $vigndir, $zoommaxwidth, $vignmaxwidth, $zoommaxheight, $vignmaxheight, $zoomquality, $vignquality)

{
	
	$origfile=stripslashes($origfile);	
	$origfile=SafeNameForBash(addslashes($origfile));
	
	$composite="";
	// image horizontale/verticale (zoom + vign)
	
	$command1="convert -density 72x72 -geometry ".$zoommaxwidth."x".$zoommaxheight." -quality ".$zoomquality.' +profile "*"'." $origfile $zoomdir/$destfile";
	
	$command2="convert -density 72x72 -geometry ".$vignmaxwidth."x".$vignmaxheight." -quality ".$vignquality.' +profile "*"'." $origfile $vigndir/$destfile";
	
	system($command1, $val1);
	system($command2, $val2);
	

return ($val1+$val2);


}



////////////////////////////////////////////////////////////////////////////////////////////////
/////////////		UPLOAD DES FICHIERS IMAGES
////////////////////////////////////////////////////////////////////////////////////////////////


function UploadFile($file, $destfile)

{

		$result=move_uploaded_file($file, $destfile);
		$chmod=chmod ($destfile, 0644);
		
		return $result;
		
}



///////		DIV MOTEUR

function MoteurRechDiv($value='')

{

$moteur='<div id="moteur">
		<form name="rech" method="post" action="'.$_SERVER['PHP_SELF'].'">
		<p><input type="text" name="string" id="string" size="16" style="height:12px;" value="'.$value.'" />
		&nbsp;<input type="submit" class="butt" name="rech" value="Chercher" /></p>
		</form>
		</div>
		';

return $moteur;

}


///////		DIV HAUT MENU DE SELECTION

function MenuSelect($string, $menu)

{

$moteur='<div id="menuselect">
		<p class="txtpetit">'.$string.$menu.'</p>
		</div>
		';

return $moteur;

}


//////		CONSTRUCTION DE LA NAV MULTI-PAGES  SI BESOIN


function MultiPagesNav($nbpages, $actualpage, $query)

{


$nav='';

if (1 < $nbpages)
	
	{
	
	$nav='<div id="navpages">
  <table width="100%" cellspacing="0" cellpadding="0" bgcolor="#333">
    <tr>
      <td width="25%" height="16" style="border:1px solid gray;"><div align="center">
	  ';
	
	//	dtermine s'il faut le picto FIRST
	
	if (1 < $actualpage)
	{
	$nav.='<a href="'.$_SERVER['PHP_SELF'].'?p=1&amp;'.$query.'">
	  <img src="img/First.gif" width="18" height="13" alt="first" />
	  </a>
	  ';
	}
	else
	{
	$nav.='&nbsp;';
	}
	  
	  
	  
	  $nav.='</div></td>
      <td width="25%" style="border:1px solid gray;"><div align="center">
	  ';

	//	dtermine s'il faut le picto PREVIOUS

	  if (1 < $actualpage)
	  {
	  $nav.='<a href="'.$_SERVER['PHP_SELF'].'?p='.($actualpage-1).'&amp;'.$query.'">
	  <img src="img/Previous.gif" width="14" height="13" alt="previous" />
	  </a>
	  ';
	  }
	  else
	  {
	  $nav.='&nbsp;';
	  }
	  
	  
	  $nav.='</div></td>
      <td width="25%" style="border:1px solid gray;"><div align="center">
	  ';
	  
	//	dtermine s'il faut le picto NEXT
	
	  if ($nbpages > $actualpage)
		{

	  $nav.='<a href="'.$_SERVER['PHP_SELF'].'?p='.($actualpage+1).'&amp;'.$query.'">
	  <img src="img/Next.gif" width="14" height="13" alt="next" />
	  </a>
	  ';
	  	}
		else
	  {
	  $nav.='&nbsp;';
	  }
	  
	  
	  $nav.='</div></td>
      <td width="25%" style="border:1px solid gray;"><div align="center">
	  ';
	  
	//	dtermine s'il faut le picto LAST

		if ($nbpages > $actualpage)
		{
	  $nav.='<a href="'.$_SERVER['PHP_SELF'].'?p='.$nbpages.'&amp;'.$query.'">
	  <img src="img/Last.gif" width="18" height="13" alt="last" />
	  </a>
	  ';
	  }
	  else
	  {
	  $nav.='&nbsp;';
	  }
	  
	  $nav.='</div></td>
    </tr>
  </table>
</div>
';

	}
	
	
return $nav;

}

	
	?>