<?php require_once('inc_require.php');?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<title>Aide DBPicture v.<?php echo DBPICTURE_VERSION;?></title>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
<style type="text/css">
<!--
body {
	font-family:Arial, Helvetica, sans-serif;
	background-image: url(img/fond_aide.gif);
	margin:0;
}

p {
font-size:12px;
margin-right:6px;
margin-left:6px;
}

h2 {
font-size:18px;
text-align:center;
background-color:#000000;
line-height:24px;
color:#FFFFCC;
margin-top:0;
}

h3 {
color:#FFFFFF;
margin-top:10px;
background-color:#333333;
line-height:20px;
font-size:14px;
padding-left:10px;
}

h4 {
color:#FFFFCC;
background-color:#666666;
font-size:12px;
padding-left:16px;
}

h5 {
margin-left:6px;
}

.Style1 {font-size: 10px}
.Style2 {font-size: 12px}
.backtotop {text-align:right;}
.Style3 {
	color: #FF0000;
	font-weight: bold;
}

ul {
font-size:12px;
list-style-position:inside;
list-style-type:none;
}

li {
margin:2px;
}
.Style4 {color: #CC0000}
-->
</style></head>

<body>
<h2 id="top">Aide DBPicture v.<?php echo DBPICTURE_VERSION;?></h2>
	
	<ol id="listchap" title="Sommaire des chapitres">
	<li><a href="#dbpicture">Pr&eacute;sentation g&eacute;n&eacute;rale de DBPicture </a></li>
	<li><a href="#rubriques">Gestion des rubriques </a>
		<ul>
			<li><a href="#insrub">- Ajout d'une rubrique</a></li>
			<li><a href="#modrub">- Modification d'une rubrique</a></li>
			<li><a href="#suprub">- Suppression d'une rubrique</a></li>
		</ul>
	</li>
	<li><a href="#groupes">Gestion des groupes </a>
		<ul>
			<li><a href="#listgrp">- Liste des groupes</a></li>
			<li><a href="#modgrp">- Modification d'un groupe</a></li>
			<li><a href="#insgrp">- Ajout d'un groupe</a></li>
			<li><a href="#vidgrp">- Vidange d'un groupe</a></li>
			<li><a href="#suppgrp">- Suppression d'un groupe</a></li>
		</ul>
	
	</li>
	
	<li><a href="#images">Gestion des images </a>
	
		<ul>
			<li><a href="#listimg">- Liste des images</a></li>
			<li><a href="#insimg">- Ajout d'une image</a></li>
			<li><a href="#insimglot">- Ajout d'un lot d'images</a></li>
			<li><a href="#modimg">- Modification d'une image</a></li>
			<li><a href="#supimg">- Suppression d'une image</a></li>
			<li><a href="#modimg">- Modification d'un groupe d'images</a></li>
		</ul>
	
	</li>
	<li><a href="#outils">Outils </a>
		<ul>
			<li><a href="#replace">- Chercher - remplacer</a></li>
			<li><a href="#keywords">- Gestion des mot-cls</a></li>
			<li><a href="#serveur">- Gestion des serveurs</a></li>
		    <li><a href="#scripts">- Scripts divers</a> </li>
		</ul>
	</li>
	
	<li><a href="#prefs">Pr&eacute;f&eacute;rences </a></li>
	</ol>
		
		
	<h3 id="dbpicture">Pr&eacute;sentation g&eacute;n&eacute;rale de DBPicture</h3>
	<p>DBPicture est un syst&egrave;me de gestion de base de donn&eacute;es relationnelle (SGBDR), qui permet d'administrer facilement une galerie d'images : il repose sur une base de donn&eacute;es MySQL et un syst&egrave;me d'administration en ligne (&quot;backoffice&quot; priv&eacute; &eacute;crit en html et php); n'importe quelle interface graphique (&quot;front end&quot;) peut y &ecirc;tre interfac&eacute;e afin de proposer une galerie en ligne.</p>
	<p>L'organisation d'ensemble des donn&eacute;es repose sur 3 tables, d&eacute;finissant, selon un ordre hi&eacute;rarchique, des &quot;rubriques&quot; (cat&eacute;gories de sujets/reportages : ex. &quot;corporate&quot;, &quot;portraits&quot;, etc.) , comportant des &quot;groupes&quot; (ou sujets/reportages : ex. &quot;la guerre en Irak&quot;), eux-m&ecirc;mes contenant des &quot;images&quot; (les photos elles-m&ecirc;mes).</p>
	<p>Chaque &quot;groupe&quot; et chaque &quot;image&quot; peut &ecirc;tre d&eacute;crit de mani&egrave;re d&eacute;taill&eacute;e (4 ou 5 champs textuels), et des mots-cl&eacute;s et des liens peuvent leur &ecirc;tre associ&eacute;s. </p>
	<p>L'ensemble du syst&egrave;me est bilingue. </p>
	
	
	
	<h3 id="rubriques">Gestion des rubriques </h3>
	<p>La section &quot;RUBRIQUES&quot; vous permet de cr&eacute;er, organiser, modifier et supprimer vos rubriques (principales sections de la galerie). </p>
	
	<h4 id="insrub">Ajout d'une rubrique</h4>
	<p>Pour ajouter une rubrique, dans la partie basse de la page : remplissez les champs n&eacute;cessaires, puis cliquez sur &quot;Enregistrer la nouvelle rubrique&quot;.</p>
	<p>La nouvelle rubrique sera ins&eacute;r&eacute;e en derni&egrave;re position (comme indiqu&eacute; en bas de page) : vous pourrez la d&eacute;placer ensuite, en l'&eacute;ditant. </p>
	<p class="backtotop"><a href="#top">Sommaire de l'aide</a></p>
	
	<h4 id="modrub">Modification d'une rubrique</h4>
	<p>La partie haute (&quot;Modifier une rubrique existante&quot;) permet de modifier ou de supprimer une rubrique existante : ses divers champs sont &eacute;ditables.</p>
	<p>S&eacute;lectionnez la rubrique &agrave; modifier dans le menu d&eacute;roulant, changer les valeurs souhait&eacute;es, puis cliquez sur &quot;Enregistrer les modifications&quot;.</p>
	<p>Chaque rubrique ayant une position - les rubriques sont ordonn&eacute;es s&eacute;quentiellement : 1, 2, 3, etc. -, vous pouvez modifier l'order des rubriques en en modifiant la case &quot;nouvelle position&quot;, qui, par d&eacute;faut, affiche la position actuelle de la rubrique s&eacute;lectionn&eacute;e. </p>
	<p>Le bouton &quot;voir les groupes de cette rubrique&quot; vous permet d'acc&eacute;der rapidement aux groupes associ&eacute;s &agrave; cette rubrique.   </p>
	<p class="backtotop"><a href="#top">Sommaire de l'aide</a></p>
	
	<h4 id="suprub">Suppression d'une rubrique</h4>
	<p>Pour supprimer une rubrique, s&eacute;lectionnez-la dans le menu &quot;Rubrique s&eacute;lectionn&eacute;e&quot;, puis cliquez sur &quot;Supprimer cette rubrique&quot;. </p>
	<p>L'ordre des rubriques sera alors r&eacute;ajust&eacute; pour tenir compte de cette suppression. Les groupes appartenant &agrave; l'ancienne rubrique sont d&eacute;plac&eacute;s vers la rubrique &quot;Hors rubrique&quot;.  </p>
	<p class="backtotop"><a href="#top">Sommaire de l'aide</a></p>
		
		
		
		
	<h3 id="groupes">Gestion des groupes </h3>
	<p>La section &quot;GROUPES&quot; vous permet d'&eacute;diter, modifier, supprimer et ins&eacute;rer des groupes d'images dans la base.</p>
	
	<h4 id="listgrp">Liste des groupes</h4>
	
<p>Par d&eacute;faut,la section &quot;GROUPES&quot; affiche la liste des groupes d&eacute;j&agrave; entr&eacute;s dans la base, les plus r&eacute;cents en premier.  </p>
	<p><br />
	  Cette liste fournit un certain nombre d'informations concernant chaque groupe : nom, l&eacute;gende, rubrique parente, ainsi que la position du groupe dans la rubrique (colonne &quot;N&deg;&quot;), et le nombre d'images contenues dans le groupe (colonne &quot;IMG&quot;).</p>
	<p><br />
	  La 1e colonne du tableau affiche pour chaque groupe une miniature de l'image initiale choisie (sa taille est r&eacute;glable dans la section &quot;PREFS&quot;, cf. <a href="#regaff">plus bas</a> ) : un survol de la miniature permet de conna&icirc;tre l'ID du groupe (sauf sur Internet Explorer PC), un clic sur la miniature permet d'acc&eacute;der directement (dans le backoffice) &agrave; la liste des images associ&eacute;es au groupe. <br />
</p>
	<p>La diode (rouge ou verte) &agrave; droite du nom de rubrique indique si le groupe est actuellement &quot;on&quot; (en ligne) ou &quot;off&quot; (hors ligne) : lorsqu'un groupe est &quot;hors ligne&quot;, il appara&icirc;t de plus en italique gris&eacute;. </p>
	<p>Pour naviguer parmi les groupes, vous pouvez utiliser le menu d&eacute;roulant &quot;Rubrique&quot; (en haut et au centre), qui permet de n'afficher que les groupes d'une rubrique d&eacute;termin&eacute;e. D'autre part, un moteur de recherche (en haut &agrave; droite de la page) vous permet de trouver rapidement un groupe en saisissant une chaine de caract&egrave;res : la recherche porte  sur le champ fran&ccedil;ais &quot;nom&quot;, mais aussi sur les noms abr&eacute;g&eacute;s de statut; ainsi, la recherche sur &quot;N1&quot; affichera le &quot;groupe nouveaut&eacute; 1&quot;, par ex. </p>
	<p>Enfin, une icone de verrou - <img src="img/verrou.png" width="11" height="14" /> - indique que le groupe est prot&eacute;g&eacute; par un mot de passe : cette fonction se commande depuis la page d'&eacute;dition de chaque groupe.</p>
	<p>   <br />
	  Les colonnes &quot;ACTIONS&quot; permettent d'effectuer certaines op&eacute;rations sur un groupe directement depuis l'affichage en liste.</p>
	<p>En particulier, pour chaque groupe, vous disposez des commandes suivantes : </p>
	<table width="80%"  border="0">
      <tr>
        <td align="center" width="30%"><span class="Style1">TURN OFF / TURN ON </span></td>
        <td width="70%"><span class="Style2">le groupe  (et donc toutes ses images) est mis &quot;hors ligne&quot; ou &quot;en ligne&quot; </span></td>
      </tr>
      <tr>
        <td align="center"><img src="img/picto_edit.png" width="16" height="16" /></td>
        <td class="Style2">permet d'&eacute;diter et de modifier les propri&eacute;t&eacute;s du groupe (nom, statut, etc.) </td>
      </tr>
	   <tr>
        <td align="center"><img src="img/picto_oeil.gif" width="17" height="16" /></td>
        <td class="Style2">permet de voir le groupe tel qu'il apparatra sur le site (selon configurations) </td>
      </tr>
	    <tr>
        <td align="center"><img src="img/picto_poub.gif" width="17" height="16" /></td>
        <td class="Style2">supprime le groupe - et ses images, selon le r&eacute;glage des pr&eacute;f&eacute;rences (et apr&egrave;s confirmation) </td>
      </tr>
</table>
	
	
	
	
	<p>NB : le nombre de groupes affich&eacute;s par page (ainsi que leur taille) peut &ecirc;tre r&eacute;gl&eacute; dans la page &quot;PREFS&quot; (cf. <a href="#regaff">plus bas</a>) </p>
	
	
	<h4 id="insgrp">Ajout d'un groupe </h4>
	<p>Pour cr&eacute;er un nouveau groupe, cliquez sur le bouton &quot;Cr&eacute;er un nouveau groupe&quot; en bas de la page principale de la section &quot;GROUPES&quot; : un formulaire s'affiche.</p>
	<p>Vous devez remplir au moins les champs obligatoires (signal&eacute;s en jaune). Vous pouvez &eacute;galement attribuer un &quot;statut&quot; au groupe, ce qui permet d'effectuer un autre regroupement que celui des rubriques.</p>
	<p>Enfin, cliquez sur &quot;Enregistrer le nouveau groupe&quot; : un message vous confirme la r&eacute;ussite (ou l'&eacute;chec) de l'op&eacute;ration.</p>
	<p>Par d&eacute;faut, tout groupe nouvellement cr&eacute;&eacute; est mis hors ligne, ce qui vous permet de le remplir d'images, de choisir son image initiale, etc., avant de le publier en ligne. </p>
	<p>ATTENTION : il vous faudra manuellement associer une image initiale &agrave; chaque groupe, en l'&eacute;ditant (apr&egrave;s l'avoir cr&eacute;&eacute;), cf. <a href="#modgrp">plus bas</a>. </p>
	<p class="backtotop"><a href="#top">Sommaire de l'aide</a></p>
	
	
	
	
	
	<h4 id="modgrp">Modification d'un groupe </h4>
	<p>Depuis la liste principale des groupes, chaque groupe est &eacute;ditable, en cliquant sur l'icone de crayon - <img src="img/picto_edit.png" width="16" height="16" /> - correspondant &agrave; la ligne du groupe voulu. </p>
	<p>La page d'&eacute;dition de chaque groupe vous permet de modifier :</p>
	<p>- la rubrique du groupe : vous pouvez ainsi faire passer un groupe d'une rubrique &agrave; une autre; l'ordre des groupes dans les rubriques concern&eacute;es sera r&eacute;ajust&eacute; en cons&eacute;quence.</p>
	<p>- la &quot;photo initiale&quot; du groupe : un menu d&eacute;roulant vous permet de visualiser et de choisir, parmi l'ensemble des images du groupe, celle qui repr&eacute;sentera le groupe sur la partie publique du site. NB : ce choix est ind&eacute;pendant de l'ordre des images dans le groupe. Vous pouvez utiliser les petites fl&egrave;ches sous la vignette pour passer d'une image &agrave; une autre.  </p>
	<p>- la position du groupe dans la rubrique.</p>
	<p>- le &quot;statut&quot; attribu&eacute; au groupe.</p>
	<p>- l'ensemble des champs textuels du groupe. </p>
	<p>D'autre part, chaque groupe peut &ecirc;tre prot&eacute;g&eacute; par un <strong>mot de passe</strong> (propre &agrave; chaque groupe) : pour ce faire, il suffit d'entrer le mot de passe voulu dans le champ &quot;mot de passe&quot; en bas de page. Ceci permet de contr&ocirc;ler l'acc&egrave;s public aux photos d'un groupe, en autorisant seulement les visiteurs munis du mot de passe. Une icone de verrou  <img src="img/verrou.png" width="11" height="14" /> signalera cette protection dans la page de liste des groupes. </p>
	<p>Pour valider vos changements, cliquez sur &quot;Enregistrer les modifications&quot;.</p>
	<p class="backtotop"><a href="#top">Sommaire de l'aide</a></p>
	
	
	<h4 id="vidgrp">Vidange d'un groupe </h4>
	<p>Depuis la page d'&eacute;dition d'un groupe (cf. <a href="#modgrp">plus haut</a>), vous pouvez &eacute;galement vider le groupe de toutes ses images, en cliquant sur le bouton &quot;Vider le groupe&quot; en bas de page.</p>
	<p>Cette op&eacute;ration a pour effet de supprimer d&eacute;finitivement tous les fichiers images associ&eacute;es au groupe &eacute;dit&eacute;, ainsi que toutes les donn&eacute;es textuelles qui leur &eacute;taient associ&eacute;es : une confirmation vous est demand&eacute;e avant d'effectuer l'op&eacute;ration (sauf si javascript est d&eacute;sactiv&eacute; sur votre navigateur). </p>
	<p class="backtotop"><a href="#top">Sommaire de l'aide</a></p>
	
	
	<h4 id="supgrp">Suppression d'un groupe </h4>
	<p>Depuis la liste principale des groupes, chaque groupe peut &ecirc;tre supprim&eacute;, en cliquant sur l'icone de poubelle - <img src="img/picto_poub.gif" width="17" height="16" /> - correspondant &agrave; la ligne du groupe voulu.</p>
	<p>Selon le r&eacute;glage d&eacute;termin&eacute; dans les pr&eacute;f&eacute;rences (cf. <a href="#options">plus bas</a>), la suppression du groupe entra&icirc;nera ou non la suppression de toutes les images qui lui sont associ&eacute;es (fichiers et donn&eacute;es). </p>
	<p class="backtotop"><a href="#top">Sommaire de l'aide</a></p>
	
	
	
	
	
	<h3 id="images">Gestion des images</h3>
	<p>La section &quot;IMAGES&quot; vous permet d'&eacute;diter, modifier, supprimer et ins&eacute;rer des images dans la base.</p>
	
	<h4 id="listimg">Liste des images</h4>
	<p>Par d&eacute;faut,la section &quot;IMAGES&quot; affiche la liste des images d&eacute;j&agrave; entr&eacute;es dans la base : cette page vous permet de naviguer rapidement parmi vos images afin de les modifier ou de les r&eacute;organiser.</p>
	<p><br />
	  La liste fournit un certain nombre d'informations concernant chaque image : nom, l&eacute;gende, groupe parent, ainsi que la position de l'image dans le groupe (colonne &quot;N&deg;&quot;).</p>
<p><br />
  La 1e colonne du tableau affiche pour chaque image une miniature de l'image (sa taille est r&eacute;glable dans la section &quot;PREFS&quot;, cf. <a href="#regaff">plus bas</a> ) : un survol de l'image permet d'en conna&icirc;tre l'ID (sauf sur Internet Explorer PC) et affiche une pr&eacute;visualisation de l'image (taile moyenne) en transparence par dessus la liste; un clic permet d'&eacute;diter la fiche compl&egrave;te de l' image.</p>
	<p><br />
	  La diode (rouge ou verte) &agrave; droite du nom de groupe indique si l'image est actuellement &quot;on&quot; (en ligne) ou &quot;off&quot; (hors ligne).</p>
	<p>Pour naviguer parmi les images, vous pouvez utiliser le menu d&eacute;roulant &quot;Groupe&quot; (en haut et au centre), qui permet de n'afficher que les images d'un groupe d&eacute;termin&eacute;.</p>
	<p>D'autre part, un moteur de recherche (en haut &agrave; droite de la page) vous permet de trouver rapidement une image en saisissant son num&eacute;ro d'ID ou une chaine de caract&egrave;res : la recherche porte sur les champs fran&ccedil;ais &quot;nom&quot; et  &quot;l&eacute;gende&quot;, mais aussi sur les noms abr&eacute;g&eacute;s de statut; ainsi, la recherche sur &quot;IDM&quot; affichera les &quot;images du moment &quot;, par ex.</p>
	<p><br />
	  Les colonnes &quot;ACTIONS&quot; permettent d'effectuer certaines op&eacute;rations sur une image directement depuis l'affichage en liste :</p>
	<p>En particulier, pour chaque image, vous disposez des commandes suivantes : </p>
	
	<table width="80%"  border="0">
      <tr>
        <td align="center" width="30%"><span class="Style1">TURN OFF / TURN ON </span></td>
        <td width="70%"><span class="Style2">l'image est mise &quot;hors ligne&quot; ou &quot;en ligne&quot; </span></td>
      </tr>
      <tr>
        <td align="center"><img src="img/picto_edit.png" width="16" height="16" /></td>
        <td class="Style2">permet d'&eacute;diter et de modifier les propri&eacute;t&eacute;s de l'image (nom, etc.) </td>
      </tr>
      <tr>
        <td align="center"><img src="img/picto_oeil.gif" width="17" height="16" /></td>
        <td class="Style2">permet de voir l'image telle qu'elle apparatra sur le site </td>
      </tr>
	  <tr>
        <td align="center"><img src="img/picto_poub.gif" width="17" height="16" /></td>
        <td class="Style2">supprime l'image (apr&egrave;s confirmation) </td>
      </tr>
</table>
	
	<p>NB : le nombre d'images affich&eacute;es par page (ainsi que leur taille) peut &ecirc;tre r&eacute;gl&eacute; dans la page &quot;PREFS&quot;, cf. <a href="#regaff">plus bas</a>. </p>
	<p class="backtotop"><a href="#top">Sommaire de l'aide</a></p>
	
	<h4 id="insimg">Ajout d'une image </h4>
		<p>Pour ins&eacute;rer UNE image (&agrave; la fois) dans la base, vous pouvez directement envoyer son fichier par le backoffice sans devoir utiliser un logiciel FTP (ceci n'est possible que pour des images en petit nombre : pour ajouter un lot d'images, reportez-vous au chapitre suivant).</p>
		<p>Cliquez tout d'abord sur le bouton &quot;Ajouter une image&quot; (en bas de la section &quot;IMAGES&quot;) :</p>
		<p> <br />
		  1. S&eacute;lectionnez le fichier sur votre disque dur, puis cliquez sur &quot;Envoyer le fichier&quot; : l'op&eacute;ration peut prendre plusieurs dizaines de secondes.<br />
		  En principe, la plupart des formats courants d'image sont support&eacute;s par DBPicture. Mais si vous le pouvez, choisissez des fichiers d'origine 72 DPI, de dimensions en pixels sup&eacute;rieures &agrave; la taille maximum d'affichage des images sur votre site, enregistr&eacute;s en JPEG avec une tr&egrave;s faible compression (qualit&eacute; maxi dans Photoshop).<br />
		  Par ex. un fichier 72 DPI, de dimensions 800 x 600, en jpeg qualit&eacute; max.<br />
		  Attention : La taille maximale du fichier image est de <?php echo MAXUPLOAD;?> Mo (il n'y a pas de limite de taille si vous choisissez l'envoi par lot).</p>
		<p><br />
		  2. Dans la nouvelle page qui s'affiche (sauf si une erreur survient), renseignez les champs requis et voulus qui permettent de d&eacute;crire l'image, et pr&eacute;cisez &agrave; quel groupe elle doit &ecirc;tre affect&eacute;e.<br />
		  Si vous avez activ&eacute; l'analyse automatique des metadonn&eacute;es (cf. pages &quot;PREFS&quot;), et que ce fichier en contient, celles-ci apparaissent dans les champs pr&eacute;vus &agrave; cet effet.<br />
		  Par d&eacute;faut, toute nouvelle image est ins&eacute;r&eacute;e en derni&egrave;re position du groupe choisi : vous devrez ensuite &eacute;diter l'image pour en modifier la position.<br />
		  Par d&eacute;faut, toute nouvelle image est &quot;ON&quot; (en ligne). Ceci peut &ecirc;tre r&eacute;gl&eacute; dans la page &quot;PREFS&quot;, cf. <a href="#options">plus bas</a>. <br />
		  Cliquez sur &quot;Enregistrer l'image&quot;.</p>
		<p><br />
		  3. Un message vous indique si l'op&eacute;ration s'est bien d&eacute;roul&eacute;e, et vous pouvez retourner &agrave; la &quot;Liste des Images&quot; pour constater l'insertion de votre image.</p>
		<p>&nbsp;</p>
		<p class="backtotop"><a href="#top">Sommaire de l'aide</a></p>
		
		
	<h4 id="insimglot">Ajout d'un lot d'images </h4>
		<p>Vous pouvez aussi ajouter un lot d'images, en une seule fois, &agrave; un groupe.</p>
		<h5>A. Pour cela, il faut tout d'abord placer vos fichiers originaux sur votre serveur FTP :</h5>
		<p>1. connectez-vous  sur votre serveur en utilisant un client FTP.</p>
		<p>2. placez-vous dans le dossier <a href="ftp://<?php echo FTP_LOGIN.':'.FTP_PW.'@'.FTP_SERVER.FTP_PATHTOORIG;?>"><?php echo realpath(PATHTOORIG);?>"</a> (dossier par d&eacute;faut pour les &quot;originaux&quot;) OU dans un autre dossier sur votre serveur , et cr&eacute;ez-y un dossier du nom de votre choix (&eacute;vtiez accents, espaces et caract&egrave;res sp&eacute;ciaux).</p>
		<p> 3. placez-vous dans le dossier cr&eacute;&eacute; et envoyez-y les fichiers originaux (upload).</p>
		<p>NB : les fichiers originaux peuvent &ecirc;tre  de toutes proportions et tailles, mais il est vivement conseill&eacute; d'utiliser des fichiers JPEG de bonne qualit&eacute; (peu de compression) ou TIFF, pesant au moins 200 Ko; le poids maximum d'un fichier importable, par cette mthode, est de <span class="Style4"><?php echo (MAXFILESIZE/1024/1024);?> Mo</span>. Le poids conseill&eacute; pour un fichier JPEG est entre 1 et 2 Mo (compression &agrave; 12) : plus le fichier est lourd, plus l'envoi FTP et le traitement seront longs. </p>
		<p>NB : chaque lot (dossier import) doit compter un maximum de <span class="Style4"><?php echo MAXFILENB;?> fichiers</span>, et un poids maximum total de <span class="Style4"><?php echo (MAXFOLDERSIZE/1024/1024);?> Mo</span> ; vous pouvez r&eacute;p&eacute;ter l'op&eacute;ration plusieurs fois. </p>
		<p>NB : les images seront r&eacute;pertori&eacute;es (dans leur groupe) selon l'ordre nominal des fichiers; il est conseill&eacute; de les num&eacute;roter. </p>
		<p>&nbsp;</p>
		<h5>A. bis Envoyer vos fichiers avec l'utilitaire (script) d'envoi par lot : </h5>
		<p>1. r&eacute;cup&eacute;rez l'utilitaire en allant sur la page &quot;Divers scripts&quot; de la section &quot;OUTILS&quot;.</p>
		<p>2. suivez les instructions (cf. <a href="#uploadfolderbyftp">plus bas</a>)   </p>
		<h5>B. Si le groupe auquel vous destinez le lot d'images n'existe pas encore, cr&eacute;ez-le.</h5>
		<h5>C. Depuis la page &quot;Ajouter un lot d'images&quot;, indiquez le dossier &agrave; importer :</h5>
		<p>1. indiquez le groupe de destination du lot d'images.</p>
		<p>2. un menu d&eacute;roulant vous pr&eacute;sente la liste des dossiers trouv&eacute;s dans le dossier par d&eacute;faut des &quot;originaux&quot;     (<?php echo realpath(PATHTOORIG);?>) : </p>
		<p>- si votre dossier y figure, s&eacute;lectionnez le.  (et passez au point 3)</p>
		<p>- sinon (si vous avez cr&eacute;&eacute; ce dossier ailleurs) , indiquez le chemin absolu de votre dossier. Par ex. si votre dossier s'appelle &quot;test&quot; et qu'il se situe au premier niveau de votre serveur (dossier www ou html), le chemin absolu pourrait &ecirc;tre : &quot;test&quot;.</p>
		<p>3. Vous pouvez affecter certaines donn&eacute;es &agrave; l'ensemble des images du lot, en utilisant les champs  </p>
		<p>3. cliquez sur &quot;Importer le dossier&quot; : l'op&eacute;ration peut durer jusqu'&agrave; plusieurs minutes; un message vous indiquera le r&eacute;sultat.</p>
		<p>&nbsp;</p>
		<p>NB : selon le r&eacute;glage choisi dans les pr&eacute;f&eacute;rences, le dossier d'import sera ou non effac&eacute; imm&eacute;diatement apr&egrave;s l'importation des images (cf. <a href="#options">plus bas</a>) </p>
		<p class="backtotop"><a href="#top">Sommaire de l'aide</a></p>
	
	
	<h4 id="modimg">Modification d'une image </h4>
		<p>Depuis la liste principale des images, chaque image est &eacute;ditable, en cliquant sur l'icone de crayon - <img src="img/picto_edit.png" width="16" height="16" /> - correspondant &agrave; la ligne de l'image voulue. </p>
		<p>La page d'&eacute;dition de chaque image vous permet de modifier :</p>
		<p>- le groupe de l'image : vous pouvez ainsi faire passer une image d'un groupe &agrave; un autre; l'ordre des images dans les groupes concern&eacute;s sera r&eacute;ajust&eacute; en cons&eacute;quence.</p>
		<p>- la position de l'image dans le groupe.</p>
		<p>- le &quot;statut&quot; attribu&eacute; &agrave; l'image .</p>
		<p>- l'ensemble des champs textuels de l'image. </p>
		<p>Pour valider vos changements, cliquez sur &quot;Enregistrer les modifications&quot;.</p>
		<p class="backtotop"><a href="#top">Sommaire de l'aide</a></p>
	
	
	<h4 id="supimg">Suppression d'une image </h4>
		<p>Depuis la liste principale des images, chaque image peut &ecirc;tre supprim&eacute;e, en cliquant sur l'icone de poubelle - <img src="img/picto_poub.gif" width="17" height="16" /> - correspondant &agrave; la ligne de l'image voulue.</p>
		<p><a href="#top">Sommaire de l'aide</a></p>
		
	
	<h4 id="modiftool">Modification d'un groupe d'images </h4>
		<p>En cliquant sur le bouton &quot;Modifier un groupe d'images&quot;, on acc&egrave;de &agrave; une page permettant de modifier globalement l'ensemble des images d'un groupe :</p>
		<p>- soit pour les d&eacute;placer vers un autre groupe</p>
		<p>- soit pour associer les images du groupe &agrave; un auteur (et/ou remplacer l'auteur existant). </p>
		<p>-      soit pour associer aux images un ou plusieurs mot-cl&eacute;s.</p>
		<p>S&eacute;lectionnez le groupe &quot;source&quot; (menu &quot;images du groupe&quot;), choisissez l'op&eacute;ration voulue, r&eacute;glez ses param&egrave;tres, puis cliquez sur &quot;effectuer l'op&eacute;ration&quot;.   </p>
		<p><a href="#top">Sommaire de l'aide</a></p>
		
		
		
		<h3 id="outils">Outils</h3>
	    <p>La section &quot;OUTILS&quot; offre une s&eacute;rie d'outils plus pouss&eacute;s pour manipuler la base de donn&eacute;es et la galerie de DBPicture.</p>
		
	    <h4 id="replace">Chercher - Remplacer</h4>
	    <p>C'est l'outil s&eacute;lectionn&eacute; par d&eacute;faut &agrave; l'arriv&eacute;e dans la section &quot;OUTILS&quot; : il permet de modifier rapidement une s&eacute;rie d'&eacute;l&eacute;ments textuels, dans les diff&eacute;rents champs des fiches &quot;groupes&quot; et &quot;images&quot;.</p>
	    <p>Par ex., il est tr&egrave;s facile de remplacer &quot;Monsieur Dubois&quot; par &quot;Madame Dubois&quot;, partout dans la base (&agrave; chaque occurence, quel que soit le champ), ou bien seulement dans un groupe particulier, ou bien seulement dans certains champs, etc.</p>
	    <p>Les principaux r&eacute;glages - qui d&eacute;terminent la port&eacute;e de l'op&eacute;ration - se situent dans les &quot;OPTIONS&quot; :</p>
	    <p>- <strong>Mode de recherche</strong> : par d&eacute;faut (et par s&eacute;curit&eacute; ...), le moteur cherche la chaine exacte (&quot;expression exacte&quot;) que vous avez tap&eacute;e, c'est &agrave; dire n'appliquera le remplacament demand&eacute; qu'aux champs dont le contenu est exactement &eacute;gal &agrave; cette chaine; en choisissant l'option &quot;contenue dans le(s) champs&quot;, le remplacement sera effectu&eacute; pour toutes les occurences de cette chaine : il suffit qu'elle soit contenue dans le champ.</p>
	    <p>Par ex. : avec l'option 2, le champ &quot;le Monsieur Dubois du coin&quot; sera remplac&eacute; par &quot;le Madame Dubois du coin&quot;; avec l'option 1, il ne sera pas modifi&eacute;. </p>
	    <p>- <strong>Restreindre au groupe</strong> : ce menu d&eacute;roulant vous permet de restreindre la recherche &agrave; un seul groupe (y compris pour les images &quot;hors groupe&quot;), ou au contraire de la faire porter sur tous.</p>
	    <p>- <strong>Champs de recherche</strong> : vous pouvez pr&eacute;ciser ici sur quel(s) champ(s) doit porter la recherche.</p>
	    <p><span class="Style3">NB :</span> Pour l'instant, le fait de cliquer sur le bouton &quot;Remplacer&quot; lance imm&eacute;diatement l'op&eacute;ration sans confirmation ni possibilit&eacute; d'annulation. </p>
	<p class="backtotop"><a href="#top">Sommaire de l'aide</a></p>
		
		
		 <h4 id="keywords">Gestion des mots-cl&eacute;s </h4>
	    <p>Cette page permet de g&eacute;rer les mots-cl&eacute;s associ&eacute;s aux images, notamment leur &eacute;ventuelle traduction. </p>
	    <p>- Modifier ou supprimer des mots-cl&eacute;s existants : en haut de la page, un menu affiche la totalit&eacute; des mots-cl&eacute;s d&eacute;j&agrave; rentr&eacute;s dans DBP; s&eacute;lectionnez-en un parmi cette liste (tapez ses premi&egrave;res lettres par ex.), puis modifez le ou supprimez le.       Dans le cas d'une suppression, toutes les occurences du mot-cl&eacute; parmi les images seront effac&eacute;es.</p>
	    <p>Le menu indique le nombre d'occurences de chaque mot-cl&eacute;. </p>
	    <p>Le bouton &quot;voir les images associ&eacute;es&quot; vous permet de retrouver rapidement les images auxquelles est associ&eacute; chaque mot-cl&eacute;.  </p>
	    <p>- Ins&eacute;rer un nouveau mot-cl&eacute; : remplissez les champs, puis clquez sur &quot;enregistrer le nouveau mot cl&eacute;&quot;. Ceci vous permet d'ajouter des nouveaux mots-cl&eacute;s afin de les associer &agrave; des images, au moment ou apr&egrave;s l'importation de celles-ci.  </p>
	    <p class="backtotop"><a href="#top">Sommaire de l'aide</a></p>
		
		  <h4 id="serveur">Gestion des serveurs</h4>
	    <p>Cet outil fournit un certain nombre d'information sur l'h&eacute;bergement utilis&eacute; par DBPicture (le v&ocirc;tre, donc), ainsi que sur la base de donn&eacute;es MySQL.</p>
	    <p>- <strong>H&eacute;bergement</strong> : cette section indique l'occupation actuelle (en Mo) des fichiers pr&eacute;sents sur votre h&eacute;bergement (rapport&eacute; &agrave; l'espace disponible); sont pr&eacute;cis&eacute;es &eacute;galementla taille du dossier &quot;pict&quot; (le dossier contenant toutes les images g&eacute;r&eacute;es par DBPicture) et celle du dossier &quot;orig&quot; (le dossier servant &agrave; importer les images); un bouton permet de vider compl&egrave;tement le dossier &quot;orig&quot;, lorsque celui-ci reste encombr&eacute; de fichiers d&eacute;j&agrave; import&eacute;s (ce qui peut arriver) : cette op&eacute;ration n'a aucune incidence sur les images d&eacute;j&agrave; import&eacute;es dans la base.</p>
	    <p>- <strong>Serveur MySQL</strong> : cette section indique la taille totale actuelle de la base de donn&eacute;es MySQL (qui contient toutes les data de DBPicture), et un bouton permet de t&eacute;l&eacute;charger imm&eacute;diatement une sauvegarde compl&egrave;te de cette base de donn&eacute;es;<span class="Style4"> il est fortement conseill&eacute; de faire une telle sauvegarde r&eacute;guli&egrave;rement et de la stocker sur un support non r&eacute;inscriptible (ou plusieurs) ! </span>Ce fichier de sauvegarde est par ailleurs stock&eacute; sur votre serveur (dossier &quot;admin/conf/dumps&quot;). cf. plus bas &quot;Gestion des backups&quot;. </p>
	    <p>Par ailleurs, sont &eacute;galement indiqu&eacute;s le nombre total d'enregistrements dans la base (chaque rubrique, groupe, image est un &quot;enregistrement&quot; ou &quot;fiche&quot;), la date de la derni&egrave;re modification, et l'espace &quot;perdu&quot; (fragmentation du fichier de donn&eacute;es pouvant n&eacute;cessiter une &quot;optimisation&quot; de la table via l'interface de PhpMyAdmin).</p>
	    <p>- <strong>Gestion des backups</strong> : en cliquant sur ce lien, vous acc&eacute;dez &agrave; la liste des backups d&eacute;j&agrave; effectu&eacute;s, et dont les fichiers sont pr&eacute;sents sur votre serveur.</p>
	    <p>A partir de cette page vous pouvez t&eacute;l&eacute;charger ou supprimer un de ces fichiers de sauvegarde, mais surtout restaurer  la base de donn&eacute;es compl&egrave;te &agrave; partir d'un de ces fichiers.</p>
	    <p>Pour cela, choisissez le fichier de sauvegarde voulu dans la liste, puis cliquez sur son bouton &quot;RESTAURER&quot; : une nouvelle sauvegarde sera automatiquement faite AVANT la restauration. </p>
	    <p>Si vous souhaitez restaurer votre base &agrave; partir d'un autre fichier  (provenant de votre disque dur par ex.), d&eacute;posez-le par FTP dans le dossier &quot;admin/conf/dumps&quot;, et il appara&icirc;tra dans la liste des backups : vous pourrez alors l'utiliser pour restaurer la base. </p>
	    <p class="backtotop"><a href="#top">Sommaire de l'aide</a></p>
	
	
	
	<h4 id="scripts">Scripts divers </h4>
	<p>Cette page propose quelques outils permettant d'automatiser ou de faciliter certaines op&eacute;rations.</p>
	<p>ATTENTION : pour le moment, ces scripts ne sont utilisables que sous Mac OS X et Linux. </p>
	<p id="uploadfolderbyftp">- <strong>Script d'envoi par lot</strong> : </p>
	    <p>Il s'agit d'un petit utilitaire qui permet d'envoyer rapidement un dossier d'images JPG par FTP vers votre serveur : il suffit d'indiquer le dossier &agrave; envoyer et le script s'occupe de l'envoi (vous n'avez m&ecirc;me pas &agrave; conna&icirc;tre vos login/pw). </p>
	    <p><em>comment s'en servir ?</em></p>
	    <p>D'abord, r&eacute;cup&eacute;rez l'archive en cliquant sur le lien &quot;T&eacute;l&eacute;charger le script&quot;.   </p>
	    <p>Sur MAC : dans le dossier de l'archive (une fois celle-ci d&eacute;compress&eacute;e), vous trouverez 2 fichiers, une application (&quot;lancement.app&quot;) et un fichier texte (&quot;uploadfolderbyftp.sh&quot;). Pour lancer l'utilitaire, double-cliquez sur &quot;lancement.app&quot; et laissez-vous guider.</p>
	    <p>Sur Linux : utilisez directement le script sh (&quot;uploadfolderbyftp.sh&quot;) qui se trouve dans le dossier de l'archive.  </p>
	    <p>&nbsp;</p>
	    <p class="backtotop"><a href="#top">Sommaire de l'aide</a></p>



	    <h3 id="prefs">Pr&eacute;f&eacute;rences </h3>
	<p>La section &quot;PREFS&quot; vous permet de r&eacute;gler certains param&egrave;tres de DBPicture : tous ces param&egrave;tres sont li&eacute;s - et propres - &agrave; l'utilisateur connect&eacute;. </p>
	
	<h4 id="convimg">Conversion des images</h4>
	<p>Ces r&eacute;glages concernent la conversion des images import&eacute;es dans DBPicture : il s'agit de d&eacute;terminer la taille maxi (hauteur et largeur en pixels) des images converties, et la qualit&eacute; de la compression &agrave; effectuer (de 0 &agrave; 100).</p>
	<p>En r&ecirc;gle g&eacute;n&eacute;rale, ces r&eacute;glages de taille et de compression sont d&eacute;termin&eacute;s en fonction du graphisme du site public auquel DBPicture sert de moteur : il est donc d&eacute;conseill&eacute; de les modifier, sauf en toute connaissance de cause.</p>
	<p>Le champ &quot;watermark&quot; permet d'activer ou de d&eacute;sactiver l'insertion automatique d'une watermark (par ex. un logo ou un copyright) lors de l'importation d'une image (dans sa version zoom). Le menu permet de choisir quel watermark appliquer, si plusieurs sont disponibles. Pour que cette fonction soit op&eacute;rationnelle, il faut  disposer d'au moins un fichier watermark  pr&eacute;sent dans le dossier &quot;conf/copyright&quot; (&agrave; voir avec le webmaster). </p>
	<p>Une fois modifi&eacute;s et enregistr&eacute;s, ces r&eacute;glages s'appliqueront par d&eacute;faut &agrave; toutes les prochaines importations. Par contre, lors d'une importation, il est possible de modifier temporairement ces r&eacute;glages (pour une image ou pour un lot d'images), en d&eacute;cochant la case &quot;par d&eacute;faut&quot; correspondant aux &quot;R&eacute;glages de conversion&quot;. </p>
	<p class="backtotop"><a href="#top">Sommaire de l'aide</a></p>
	
	<h4 id="options">Options</h4>
	<p>Diff&eacute;rentes options sont propos&eacute;es ici :</p>
	<p>- analyse des m&eacute;ta-donn&eacute;es EXIF/XMP/IPTC : d&eacute;termine si DBPicture analyse/enregistre ou non les donn&eacute;es EXIF, XMP et IPTC au moment de l'importation d'une image (ou d'un lot). D&eacute;sactivez ces options si vous n'en avez pas besoin, pour acc&eacute;lerer l'importation.</p>
	<p>- suppression automatique des images : si ce r&eacute;glage est sur &quot;on&quot;, la suppression d'un groupe provoquera la suppression des images (fichiers et donn&eacute;es) qui lui sont associ&eacute;es.</p>
	<p>NB: pour supprimer toutes les images d'un groupe sans supprimer le groupe lui-m&ecirc;me, utilisez<a href="#vidgrp"> la commande &quot;Vider le groupe&quot; </a>depuis la page d'&eacute;dition d'un groupe. </p>
	<p>- suppression automatique des dossiers d'import : si ce r&eacute;glage est sur &quot;on&quot;, &agrave; la fin de l'importation d'un lot d'images DBPicture effacera le dossier d'import  et tout son contenu du serveur FTP. D&eacute;cochez cette case si vous souhaitez pouvoir importer plusieurs fois le m&ecirc;me dossier.</p>
	<p>- disponibilit&eacute; par d&eacute;faut des nouveaux groupes : d&eacute;termine la disponibilit&eacute; de tout nouveau groupe cr&eacute;&eacute;. Si le r&eacute;glage est sur &quot;hors ligne&quot; (conseill&eacute;), d&egrave;s sa cr&eacute;ation le nouveau groupe est visible dans les pages d'administration, mais pas sur la partie publique du site.</p>
	<p>- disponibilit&eacute; par d&eacute;faut des nouvelles images : d&eacute;termine la disponibilit&eacute; de toute nouvelle image import&eacute;e. Ce r&eacute;glage de disponibilit&eacute; est soumis &agrave; celui du groupe auquel est rattach&eacute;e l'image : si le groupe de l'image est &quot;hors ligne&quot;, l'image n'est pas visible dans la partie publique m&ecirc;me si sa disponibilit&eacute; &agrave; elle est &quot;en ligne&quot;. </p>
	<p class="backtotop"><a href="#top">Sommaire de l'aide</a></p>
	
	<h4 id="regaff">R&eacute;glages d'affichage</h4>
	<p>Ces r&eacute;glages permettent d'adapter &agrave; vos besoins l'affichage g&eacute;n&eacute;ral de DBPicture.</p>
	<p>- Langue d'affichage : bascule l'interface en fran&ccedil;ais ou en anglais (en cours de d&eacute;veloppement).  </p>
	<p>- Nombre de lignes affich&eacute;es : d&eacute;termine le nombre de lignes &agrave; afficher dans les tableaux qui listent les groupes et les images (pages &quot;GROUPES&quot; et &quot;IMAGES&quot;).</p>
	<p>- Hauteur de ligne et de vignette : d&eacute;termine la hauteur de chaque ligne - et celle de la vignette - des tableaux qui listent les groupes et les images (pages &quot;GROUPES&quot; et &quot;IMAGES&quot;).</p>
	<p>- Qualit&eacute; des aper&ccedil;us : d&eacute;termine la qualit&eacute; d'affichage des &quot;aper&ccedil;us&quot; d'images visibles lors du survol des petites vignettes dans la page &quot;Images&quot;.      Pour une connexion lente, choisissez &quot;min&quot;. </p>
	<p>- Affichage des mots-cl&eacute;s : affiche ou non le syst&egrave;me de saisie de mots-cl&eacute;s dans les pages d'importation et de modification d'images. (ne change rien aux r&eacute;glages d'acquisition des mots-cl&eacute;s.)    </p>
	<p>NB : la hauteur minimale d'une ligne de tableau est de 16 pixels, et le produit nombre*hauteur de ligne doit &ecirc;tre inf&eacute;rieur &agrave; la valeur indiqu&eacute;e en bas de page. </p>
	<p class="backtotop"><a href="#top">Sommaire de l'aide</a></p>
	
   <h3 id="notes">Carnet de notes</h3>
   <p>A partir de la section &quot;PREFS&quot;, vous avez acc&egrave;s &agrave; une page &quot;Carnet de notes&quot; : cet outil permet de conserver des informations diverses sous la main, un ensemble de m&eacute;mos.</p>
   <p>Ces m&eacute;mos/notes sont divis&eacute;s en 3 groupes :</p>
   <p>- les &quot;informations&quot; : visibles par tout utilisateur mais NON modifiables, ni effa&ccedil;ables (sauf par le webmaster : prendre contact). Ces notes d'information rappellent des r&eacute;gglages ou pramat&egrave;res essentiels de DBP.   </p>
   <p>- les &quot;notes g&eacute;n&eacute;rales&quot; : visibles et modifiables par tous les utilisateurs de la base.</p>
   <p>- les &quot;notes personnelles&quot; :        visibles et modifiables seulement par l'utilisateur connect&eacute;.</p>
   <p>Pour visualiser (ou modifier, ou supprimer) une note, cliquez sur son nom dans la liste des notes situ&eacute;e &agrave; droite de la page. </p>
	<p class="backtotop"><a href="#top">Sommaire de l'aide</a></p>

</body>
</html>
