<?php


$traductions=array(
	
	'fr'=> array(
	
	
	'exposition fran&ccedil;ois brochet'	=>	'exposition fran&ccedil;ois brochet',
	
	'accueil'	=>	'accueil',
	'peintures'	=>	'peintures',
	'sculpture'	=>	'sculptures',
	
	'infos pratiques'	=>	'infos pratiques',
	
	'la galerie'	=>	'la galerie',
	'la demeure'	=>	'la demeure',
	'expositions'	=>	'expositions',
	'mus&eacute;e des visitandines'	=>	'mus&eacute;e des visitandines',
	'les potiers d\'accolay'	=>	'les potiers d\'accolay',

	'exposition f. brochet'	=>	'exposition f. brochet',

	'biographie f. brochet'	=>	'biographie f. brochet',
	
	'retour'	=>	'retour',
	'liens'	=>	'liens',

	'CONTACT_HEAD'	=>	'Pour nous contacter, veuillez remplir ce formulaire :',
	
	'votre nom'	=>	'votre nom',
	'votre mail'	=>	'votre mail',
	'votre texte'	=>	'votre texte',
	'envoyer'	=>	'envoyer',
	'ERREUR : vous n\'avez pas saisi votre nom !' =>	'ERREUR : vous n\'avez pas saisi votre nom !',
	'ERREUR : vous n\'avez pas saisi votre texte !' =>	'ERREUR : vous n\'avez pas saisi votre texte !',
	'ERREUR : votre mail n\'est pas valide !'	=>	'ERREUR : votre mail n\'est pas valide !',
	'Merci pour votre message'	=>	'Merci pour votre message',



),
	
	
	
	'en'=> array(

	'exposition fran&ccedil;ois brochet'	=>	'exhibition fran&ccedil;ois brochet',
	
	'accueil'	=>	'home page',
	'peintures'	=>	'paintings',
	'sculpture'	=>	'sculptures',
	'biographie f. brochet'	=>	'f. brochet biography',
	
	'infos pratiques'	=>	'informations',
	

	'la galerie'	=>	'the gallery',
	'la demeure'	=>	'the house',
	'expositions'	=>	'exhibitions',
	'mus&eacute;e des visitandines'	=>	'visitandines museum',
	'les potiers d\'accolay'	=>	'accolay\'s potters',
	'exposition f. brochet'	=>	'f. brochet exhibition',

	
	'retour'	=>	'back',
	'liens'	=>	'links',

	'CONTACT_HEAD'	=>	'To contact us, please fill this form :',
	
	'votre nom'	=>	'your name',
	'votre mail'	=>	'your mail',
	'votre texte'	=>	'your text',
	'envoyer'	=>	'send',
	'ERREUR : vous n\'avez pas saisi votre nom !' =>	'WARNING : please fill the name field !',
	'ERREUR : vous n\'avez pas saisi votre texte !' =>	'WARNING : please fill the text field  !',
	'ERREUR : votre mail n\'est pas valide !'	=>	'WARNING : your mail address is not valid !',
	'Merci pour votre message'	=>	'Thanks for your message',

	)
);


function traduction($texte,$lg='fr') {
	global $traductions;

	// Teste si l'internaute a choisi sa langue
	if(isset($lg)) {

		if(array_key_exists($lg,$traductions)) {
			// Teste si une traduction existe pour le texte
			//  traduire
			if(array_key_exists($texte,$traductions[$lg])) {
				return $traductions[$lg][$texte];
			} else {
				// Aucune traduction disponible, en
				// franais par dfaut
				return $texte;
			}
		} else {
			// La langue demande n'existe pas, en franais
			// par dfaut
			return $texte;
		}
	} else {
		// Pas de langue slectionne, en franais par dfaut
		return $texte;
	}
}


?>
